Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-4158

version error in mapreduce aborts operation

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.1.0
    • Component/s: Sharding
    • Labels:
      None
    • Backwards Compatibility:
      Fully Compatible
    • Operating System:
      ALL

      Description

      Error looks like :

      assertion: "[test.coll] shard version not ok in Client::Context: your version is too old ns: test.coll global: 703|0 client: 701|1", assertionCode: 13388, errmsg: "db assertion failure", ok: 0.0

      Caused by version change during mapreduce process - need to retry with new version for commands in this case.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                greg_10gen Greg Studer
                Reporter:
                greg_10gen Greg Studer
                Participants:
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: